Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIProgressBar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractProgressBar
                  org.richfaces.component.UIProgressBar

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class UIProgressBar

extends AbstractProgressBar
implements javax.faces.component.behavior.ClientBehaviorHolder

Class provides base component class for progress bar

Author:
  "Andrey Markavtsov"

Nested Class Summary
`protected static class` | `UIProgressBar.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractProgressBar
`STATE_META_COMPONENT_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`UIProgressBar()`

Method Summary
`java.lang.Object` | `getData()`
`java.lang.String` | `getDefaultEventName()`
`java.util.Collection<java.lang.String>` | `getEventNames()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFinishClass()`
`java.lang.String` | `getInitialClass()`
`int` | `getInterval()`
`java.lang.String` | `getLabel()`
`java.lang.Object` | `getMaxValue()`
`java.lang.Object` | `getMinValue()`
`org.richfaces.component.SwitchType` | `getMode()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOnbegin()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnfinish()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getProgressClass()`
`java.lang.String` | `getRemainingClass()`
`java.lang.String` | `getResource()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.Object` | `getValue()`
`boolean` | `isEnabled()`
`void` | `setData(java.lang.Object data)`
`void` | `setEnabled(boolean enabled)`
`void` | `setFinishClass(java.lang.String finishClass)`
`void` | `setInitialClass(java.lang.String initialClass)`
`void` | `setInterval(int interval)`
`void` | `setLabel(java.lang.String label)`
`void` | `setMaxValue(java.lang.Object maxValue)`
`void` | `setMinValue(java.lang.Object minValue)`
`void` | `setMode(org.richfaces.component.SwitchType mode)`
`void` | `setOnbeforedomupdate(java.lang.String onbeforedomupdate)`
`void` | `setOnbegin(java.lang.String onbegin)`
`void` | `setOnclick(java.lang.String onclick)`
`void` | `setOncomplete(java.lang.String oncomplete)`
`void` | `setOndblclick(java.lang.String ondblclick)`
`void` | `setOnfinish(java.lang.String onfinish)`
`void` | `setOnmousedown(java.lang.String onmousedown)`
`void` | `setOnmousemove(java.lang.String onmousemove)`
`void` | `setOnmouseout(java.lang.String onmouseout)`
`void` | `setOnmouseover(java.lang.String onmouseover)`
`void` | `setOnmouseup(java.lang.String onmouseup)`
`void` | `setProgressClass(java.lang.String progressClass)`
`void` | `setRemainingClass(java.lang.String remainingClass)`
`void` | `setResource(java.lang.String resource)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class org.richfaces.component.AbstractProgressBar
`encodeMetaComponent, resolveClientId, substituteUnresolvedClientId, visitTree`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIProgressBar

    public UIProgressBar()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getData

    public java.lang.Object getData()

  Specified by:
    `getData` in class `AbstractProgressBar`

### setData

    public void setData(java.lang.Object data)

  Specified by:
    `setData` in class `AbstractProgressBar`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in class `AbstractProgressBar`

### setEnabled

    public void setEnabled(boolean enabled)

### getFinishClass

    public java.lang.String getFinishClass()

  Specified by:
    `getFinishClass` in class `AbstractProgressBar`

### setFinishClass

    public void setFinishClass(java.lang.String finishClass)

### getInitialClass

    public java.lang.String getInitialClass()

  Specified by:
    `getInitialClass` in class `AbstractProgressBar`

### setInitialClass

    public void setInitialClass(java.lang.String initialClass)

### getInterval

    public int getInterval()

  Specified by:
    `getInterval` in class `AbstractProgressBar`

### setInterval

    public void setInterval(int interval)

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `AbstractProgressBar`

### setLabel

    public void setLabel(java.lang.String label)

### getMaxValue

    public java.lang.Object getMaxValue()

  Specified by:
    `getMaxValue` in class `AbstractProgressBar`

### setMaxValue

    public void setMaxValue(java.lang.Object maxValue)

### getMinValue

    public java.lang.Object getMinValue()

  Specified by:
    `getMinValue` in class `AbstractProgressBar`

### setMinValue

    public void setMinValue(java.lang.Object minValue)

### getMode

    public org.richfaces.component.SwitchType getMode()

  Specified by:
    `getMode` in class `AbstractProgressBar`

### setMode

    public void setMode(org.richfaces.component.SwitchType mode)

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  Specified by:
    `getOnbeforedomupdate` in class `AbstractProgressBar`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String onbeforedomupdate)

### getOnbegin

    public java.lang.String getOnbegin()

  Specified by:
    `getOnbegin` in class `AbstractProgressBar`

### setOnbegin

    public void setOnbegin(java.lang.String onbegin)

### getOnclick

    public java.lang.String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractProgressBar`

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOncomplete

    public java.lang.String getOncomplete()

  Specified by:
    `getOncomplete` in class `AbstractProgressBar`

### setOncomplete

    public void setOncomplete(java.lang.String oncomplete)

### getOndblclick

    public java.lang.String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractProgressBar`

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOnfinish

    public java.lang.String getOnfinish()

  Specified by:
    `getOnfinish` in class `AbstractProgressBar`

### setOnfinish

    public void setOnfinish(java.lang.String onfinish)

### getOnmousedown

    public java.lang.String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractProgressBar`

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractProgressBar`

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractProgressBar`

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractProgressBar`

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractProgressBar`

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getProgressClass

    public java.lang.String getProgressClass()

  Specified by:
    `getProgressClass` in class `AbstractProgressBar`

### setProgressClass

    public void setProgressClass(java.lang.String progressClass)

### getRemainingClass

    public java.lang.String getRemainingClass()

  Specified by:
    `getRemainingClass` in class `AbstractProgressBar`

### setRemainingClass

    public void setRemainingClass(java.lang.String remainingClass)

### getResource

    public java.lang.String getResource()

  Specified by:
    `getResource` in class `AbstractProgressBar`

### setResource

    public void setResource(java.lang.String resource)

### getStyle

    public java.lang.String getStyle()

  Specified by:
    `getStyle` in class `AbstractProgressBar`

### setStyle

    public void setStyle(java.lang.String style)

### getStyleClass

    public java.lang.String getStyleClass()

  Specified by:
    `getStyleClass` in class `AbstractProgressBar`

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in class `AbstractProgressBar`

### setValue

    public void setValue(java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.